#
# spec file for package perl-Mojolicious-Plugin-RenderFile
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mojolicious-Plugin-RenderFile
Version:        0.12
Release:        3.23
%define cpan_name Mojolicious-Plugin-RenderFile
Summary:        "render_file" helper for Mojolicious
License:        GPL-1.0-or-later OR Artistic-1.0
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/K/KO/KOORCHIK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Mojolicious) >= 5.78
Requires:       perl(Mojolicious) >= 5.78
%{perl_requires}

%description
Mojolicious::Plugin::RenderFile is a Mojolicious plugin that adds
"render_file" helper. It does not read file in memory and just streaming it
to a client.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
if [ -f %{buildroot}/%{perl_vendorlib}/Mojolicious/Plugin/README.pod ]; then
mv %{buildroot}/%{perl_vendorlib}/Mojolicious/Plugin/README{,-RenderFile}.pod
fi
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Fri Oct 12 2018 Dirk Stoecker <opensuse@dstoecker.de>
- only rename pod file when it is installed
* Wed May 30 2018 marius.kittler@suse.com
- Rename README.pod to README-RenderFile.pod to prevent file conflict
  with perl-Mojolicious-Plugin-NYTProf
* Mon Sep 25 2017 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-RenderFile/Changes
  0.12
    Fix warning about content_type and format incompatiblity
* Fri Apr 14 2017 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-RenderFile/Changes
  0.11
    Add "content_type" option
* Sat Dec 26 2015 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-RenderFile/Changes
  0.10
    Do not include unicode in distro
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-RenderFile/Changes
  0.09
    Not loose previously setted headers
- obsolete wide-character-in-print.patch
* Tue Feb 24 2015 ncutler@suse.com
- updated to 0.08
    File cleanup support
- re-generated spec file
- re-checked license
- Add wide-character-in-print.patch: to address "Wide character in
  print" error in t/multibyte_filename.t.
* Wed Mar 19 2014 coolo@suse.com
- updated to 0.07
    Added license
    Fixed utf8 filename issue
* Tue Mar 18 2014 coolo@suse.com
- initial package 0.06
  * created by cpanspec 1.78.07
